import { NestedCSSProperties } from 'typestyle/lib/types';
/**
 * - breadCrumb: The path icons above the filebrowser
 * - dockPanelBar: The tab icons above the main area
 * - launcherCard: The icons for the cards at the bottom of the launcher
 * - launcherSection: The icons to left of the Launcher section headers
 * - listing: The icons to the left of the filebrowser listing items
 * - settingsEditor: The icons to the left of each section of the settings editor
 * - sideBar: The icons for the sidebar (default to the left of the main window)
 * - splash: The icon used for the splash screen
 * - tabManager: The icons for the tabManager in the sidebar
 */
export declare type IconKindType = 'breadCrumb' | 'dockPanelBar' | 'launcherCard' | 'launcherSection' | 'listing' | 'settingsEditor' | 'sideBar' | 'splash' | 'statusBar' | 'tabManager' | 'toolbarButton' | 'unset';
export interface IIconStyle extends NestedCSSProperties {
    /**
     * center the icon svg in its container
     */
    center?: boolean;
    /**
     * the kind of the icon, associated with a default stylesheet
     */
    kind?: IconKindType;
}
/**
 * for setting the style on the container of an svg node representing an icon
 */
export declare const iconStyle: (props: IIconStyle) => string;
/**
 * for setting the style directly on the svg node representing an icon
 */
export declare const iconStyleFlat: (props: IIconStyle) => string;
